ReflectionClass::implementsInterface
ReflectionClass::isAbstract
ReflectionClass
PHP Manual

# ReflectionClass::inNamespace

Checks if in namespace

### Description

public bool ReflectionClass::inNamespace ( void )

Checks if this class is defined in a namespace.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ReflectionClass::inNamespace example

`<?php
namespace A\B;
class Foo { }
$function = new \ReflectionClass('stdClass');
var_dump($function->inNamespace());
var_dump($function->getName());
var_dump($function->getNamespaceName());
var_dump($function->getShortName());
$function = new \ReflectionClass('A\\B\\Foo');
var_dump($function->inNamespace());
var_dump($function->getName());
var_dump($function->getNamespaceName());
var_dump($function->getShortName());
?>`

The above example will output:

    bool(false)
    string(8) "stdClass"
    string(0) ""
    string(8) "stdClass"

    bool(true)
    string(7) "A\B\Foo"
    string(3) "A\B"
    string(3) "Foo"

### See Also

- ReflectionClass::getNamespaceName
- PHP Namespaces